import tinymce.models
import bleach

def valid_html(value):
    return bleach.clean(value, bleach.ALLOWED_TAGS + ['p'])

class HTMLField(tinymce.models.HTMLField):
    def pre_save(self, model_instance, add):
        value = getattr(model_instance, self.attname)
        safe_value = valid_html(value)
        setattr(model_instance, self.attname, safe_value)
        return safe_value
